#This is an example of a possible way to Unit Test a single action.
name: "Run unit tests."
on: workflow_call
jobs:
  run-tests:
    runs-on: ubuntu-18.04
    steps:
    - uses: actions/checkout@v3
    - name: "Run Test"
      id: test
      uses: ./.
      env:
        TEST_VAR: Hello, world!
      with:
        input: |
          And I say:
          "$TEST_VAR"
    - name: "Verify output."
      uses: act/common/utils/compare@master
      with:
        expected: |
          And I say:
          "Hello, world!"
        actual: |
          ${{ steps.test.outputs.result }}
